# CommunicationSender

**Summary:** Endpoints for CommunicationSender

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/communication-sender
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-communication-sender"></a>
## Get all communication senders

`GET /api/v1/communication-sender`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of CommunicationSender`

| Name | Type | Description |
| --- | --- | --- |
| `[].senderName` (Required when parent is present) | `string` |   |
| `[].senderEmail` (Required when parent is present) | `string` |   |
| `[].replyTo` (Required when parent is present) | `string` |   |
| `[].communicationChannel` (Required when parent is present) | `string` | Allowed values: `"sms"`, `"email"` |
| `[].providerRegion` (Required when parent is present) | `string` | Allowed values: `"global"`, `"eu"` · Can be null |
| `[].status` (Required when parent is present) | `string` | Allowed values: `"pending"`, `"approved"`, `"archived"` |
| `[].requestSentAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenantId` (Required when parent is present) | `number` |   |
| `[].tenant` (Required when parent is present) | `Tenant` |   |
| `[].tenant.market` (Required when parent is present) | `string` | Operating market of the tenant (immutable post-install). · Allowed values: `"NO"`, `"SE"`, `"DK"` |
| `[].tenant.productName` | `string` | The product name of the tenant · Allowed values: `"enterprise"`, `"communication"`, `"custom"` |
| `[].tenant.additionalFeatures` | `array of string` | The additional features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.disabledFeatures` | `array of string` | The disabled features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.name` (Required when parent is present) | `string` |   |
| `[].tenant.isActive` (Required when parent is present) | `boolean` |   |
| `[].tenant.defaultLanguage` (Required when parent is present) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |
| `[].tenant.hostName` (Required when parent is present) | `string` |   |
| `[].tenant.logo` (Required when parent is present) | `string` |   |
| `[].tenant.favicon` (Required when parent is present) | `string` |   |
| `[].tenant.authLogo` (Required when parent is present) | `string` |   |
| `[].tenant.authLogoHeight` (Required when parent is present) | `number` |   |
| `[].tenant.siteUrl` (Required when parent is present) | `string` |   |
| `[].tenant.termsUrl` (Required when parent is present) | `string` |   |
| `[].tenant.privacyUrl` (Required when parent is present) | `string` |   |
| `[].tenant.gtm` (Required when parent is present) | `string` |   |
| `[].tenant.taxRates` | `array of number` |   |
| `[].tenant.smsOtp` (Required when parent is present) | `boolean` |   |
| `[].tenant.emailProvider` (Required when parent is present) | `string` | Allowed values: `"brevo"`, `"sendgrid"` |
| `[].tenant.tenantContact` (Required when parent is present) | `string` |   |
| `[].tenant.registeredBusinessNo` (Required when parent is present) | `string` |   |
| `[].tenant.bankAccountNo` (Required when parent is present) | `string` |   |
| `[].tenant.swiftCode` (Required when parent is present) | `string` |   |
| `[].tenant.iban` (Required when parent is present) | `string` |   |
| `[].tenant.defaultLogoutURL` (Required when parent is present) | `string` |   |
| `[].tenant.postalAddress` (Required when parent is present) | `string` |   |
| `[].tenant.otpTemplateId` | `Translation` | Nested fields omitted: field limit. |
| `[].tenant.smsSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.emailSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.smsSender` (Required when parent is present) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `[].tenant.emailSender` (Required when parent is present) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `[].tenant.products` (Required when parent is present) | `array of Product` | Nested fields omitted: field limit. |
| `[].tenant.users` (Required when parent is present) | `array of User` | Nested fields omitted: field limit. |
| `[].tenant.members` (Required when parent is present) | `array of Member` | Nested fields omitted: field limit. |
| `[].tenant.roles` (Required when parent is present) | `array of Role` | Nested fields omitted: field limit. |
| `[].tenant.subscriptionPlans` (Required when parent is present) | `array of SubscriptionPlan` | Nested fields omitted: field limit. |
| `[].tenant.packages` (Required when parent is present) | `array of Package` | Nested fields omitted: field limit. |
| `[].tenant.invoices` (Required when parent is present) | `array of Invoice` | Nested fields omitted: field limit. |
| `[].tenant.orders` (Required when parent is present) | `array of Order` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviders` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.newslettersProviderConfig` (Required when parent is present) | `array of NewsletterProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviderConfigs` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.oidcClients` (Required when parent is present) | `array of OidcClient` | Nested fields omitted: field limit. |
| `[].tenant.oauthProviders` (Required when parent is present) | `array of OauthProvider` | Nested fields omitted: field limit. |
| `[].tenant.activityLogs` (Required when parent is present) | `array of ActivityLog` | Nested fields omitted: field limit. |
| `[].tenant.m2m_api_clients` (Required when parent is present) | `array of M2MApiClient` | Nested fields omitted: field limit. |
| `[].tenant.customProperties` (Required when parent is present) | `array of CustomProperty` | Nested fields omitted: field limit. |
| `[].tenant.consents` (Required when parent is present) | `array of Consent` | Nested fields omitted: field limit. |
| `[].tenant.preference` (Required when parent is present) | `Preference` | Nested fields omitted: field limit. |
| `[].tenant.settings` (Required when parent is present) | `TenantSettings` | Nested fields omitted: field limit. |
| `[].tenant.communicationTemplates` (Required when parent is present) | `array of CommunicationTemplate` | Nested fields omitted: field limit. |
| `[].tenant.additionalHostnames` (Required when parent is present) | `array of TenantHostname` | Nested fields omitted: field limit. |
| `[].tenant.exportHistory` (Required when parent is present) | `array of ExportHistory` | Nested fields omitted: field limit. |
| `[].tenant.arReportHistory` (Required when parent is present) | `array of ArReportHistory` | Nested fields omitted: field limit. |
| `[].tenant.mypageCardsSettings` (Required when parent is present) | `array of MypageCardsSettings` | Nested fields omitted: field limit. |
| `[].tenant.webhooks` (Required when parent is present) | `array of Webhook` | Nested fields omitted: field limit. |
| `[].tenant.customOrders` (Required when parent is present) | `array of CustomOrder` | Nested fields omitted: field limit. |
| `[].tenant.customOrderSources` (Required when parent is present) | `array of CustomOrderSource` | Nested fields omitted: field limit. |
| `[].tenant.brandKits` (Required when parent is present) | `array of BrandKit` | Nested fields omitted: field limit. |
| `[].tenant.communicationReceivers` (Required when parent is present) | `array of CommunicationReceiver` | Nested fields omitted: field limit. |
| `[].tenant.id` (Required when parent is present) | `number` |   |
| `[].tenant.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.metaData` (Required when parent is present) | `object` |   |
| `[].id` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].metaData` (Required when parent is present) | `object` |   |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-sender \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "senderName": "<senderName>",
    "senderEmail": "string",
    "replyTo": "string",
    "communicationChannel": "sms",
    "providerRegion": "global",
    "status": "pending",
    "requestSentAt": "2019-08-24T14:15:22Z",
    "tenantId": 0,
    "tenant": {
      "additionalFeatures": [],
      "disabledFeatures": [],
      "taxRates": [],
      "products": [],
      "users": [],
      "members": [],
      "roles": [],
      "subscriptionPlans": [],
      "packages": [],
      "invoices": [],
      "orders": [],
      "paymentProviders": [],
      "newslettersProviderConfig": [],
      "paymentProviderConfigs": [],
      "oidcClients": [],
      "oauthProviders": [],
      "activityLogs": [],
      "m2m_api_clients": [],
      "customProperties": [],
      "consents": [],
      "communicationTemplates": [],
      "additionalHostnames": [],
      "exportHistory": [],
      "arReportHistory": [],
      "mypageCardsSettings": [],
      "webhooks": [],
      "customOrders": [],
      "customOrderSources": [],
      "brandKits": [],
      "communicationReceivers": [],
      "metaData": {}
    },
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  }
]
```

<a id="post-api-v1-communication-sender"></a>
## Create a communication sender

`POST /api/v1/communication-sender`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CommunicationSenderCreateDto`

| Name | Type | Description |
| --- | --- | --- |
| `senderName` | `string` | The name of the sender |
| `senderEmail` | `string` | The email of the sender |
| `replyTo` | `string` | The reply to email of the sender |
| `communicationChannel` (Required) | `COMMUNICATION_CHANNEL` | The communication channel of the sender · Allowed values: `"sms"`, `"email"` |
| `providerRegion` (Required) | `SENDER_PROVIDER_REGION` | The provider region of the sender · Allowed values: `"global"`, `"eu"` |

**Example request body**

`application/json`

```json
{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global"
}
```

### Responses

#### 201

Content type: `application/json` · `CommunicationSender`

| Name | Type | Description |
| --- | --- | --- |
| `senderName` (Required) | `string` |   |
| `senderEmail` (Required) | `string` |   |
| `replyTo` (Required) | `string` |   |
| `communicationChannel` (Required) | `string` | Allowed values: `"sms"`, `"email"` |
| `providerRegion` (Required) | `string` | Allowed values: `"global"`, `"eu"` · Can be null |
| `status` (Required) | `string` | Allowed values: `"pending"`, `"approved"`, `"archived"` |
| `requestSentAt` (Required) | `string (date-time)` |   |
| `tenantId` (Required) | `number` |   |
| `tenant` (Required) | `Tenant` |   |
| `tenant.market` (Required) | `string` | Operating market of the tenant (immutable post-install). · Allowed values: `"NO"`, `"SE"`, `"DK"` |
| `tenant.productName` | `string` | The product name of the tenant · Allowed values: `"enterprise"`, `"communication"`, `"custom"` |
| `tenant.additionalFeatures` | `array of string` | The additional features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `tenant.disabledFeatures` | `array of string` | The disabled features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `tenant.name` (Required) | `string` |   |
| `tenant.isActive` (Required) | `boolean` |   |
| `tenant.defaultLanguage` (Required) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |
| `tenant.hostName` (Required) | `string` |   |
| `tenant.logo` (Required) | `string` |   |
| `tenant.favicon` (Required) | `string` |   |
| `tenant.authLogo` (Required) | `string` |   |
| `tenant.authLogoHeight` (Required) | `number` |   |
| `tenant.siteUrl` (Required) | `string` |   |
| `tenant.termsUrl` (Required) | `string` |   |
| `tenant.privacyUrl` (Required) | `string` |   |
| `tenant.gtm` (Required) | `string` |   |
| `tenant.taxRates` | `array of number` |   |
| `tenant.smsOtp` (Required) | `boolean` |   |
| `tenant.emailProvider` (Required) | `string` | Allowed values: `"brevo"`, `"sendgrid"` |
| `tenant.tenantContact` (Required) | `string` |   |
| `tenant.registeredBusinessNo` (Required) | `string` |   |
| `tenant.bankAccountNo` (Required) | `string` |   |
| `tenant.swiftCode` (Required) | `string` |   |
| `tenant.iban` (Required) | `string` |   |
| `tenant.defaultLogoutURL` (Required) | `string` |   |
| `tenant.postalAddress` (Required) | `string` |   |
| `tenant.otpTemplateId` | `Translation` | Nested fields omitted: field limit. |
| `tenant.smsSenderId` (Required) | `number` |   |
| `tenant.emailSenderId` (Required) | `number` |   |
| `tenant.smsSender` (Required) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `tenant.emailSender` (Required) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `tenant.products` (Required) | `array of Product` | Nested fields omitted: field limit. |
| `tenant.users` (Required) | `array of User` | Nested fields omitted: field limit. |
| `tenant.members` (Required) | `array of Member` | Nested fields omitted: field limit. |
| `tenant.roles` (Required) | `array of Role` | Nested fields omitted: field limit. |
| `tenant.subscriptionPlans` (Required) | `array of SubscriptionPlan` | Nested fields omitted: field limit. |
| `tenant.packages` (Required) | `array of Package` | Nested fields omitted: field limit. |
| `tenant.invoices` (Required) | `array of Invoice` | Nested fields omitted: field limit. |
| `tenant.orders` (Required) | `array of Order` | Nested fields omitted: field limit. |
| `tenant.paymentProviders` (Required) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `tenant.newslettersProviderConfig` (Required) | `array of NewsletterProviderConfig` | Nested fields omitted: field limit. |
| `tenant.paymentProviderConfigs` (Required) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `tenant.oidcClients` (Required) | `array of OidcClient` | Nested fields omitted: field limit. |
| `tenant.oauthProviders` (Required) | `array of OauthProvider` | Nested fields omitted: field limit. |
| `tenant.activityLogs` (Required) | `array of ActivityLog` | Nested fields omitted: field limit. |
| `tenant.m2m_api_clients` (Required) | `array of M2MApiClient` | Nested fields omitted: field limit. |
| `tenant.customProperties` (Required) | `array of CustomProperty` | Nested fields omitted: field limit. |
| `tenant.consents` (Required) | `array of Consent` | Nested fields omitted: field limit. |
| `tenant.preference` (Required) | `Preference` | Nested fields omitted: field limit. |
| `tenant.settings` (Required) | `TenantSettings` | Nested fields omitted: field limit. |
| `tenant.communicationTemplates` (Required) | `array of CommunicationTemplate` | Nested fields omitted: field limit. |
| `tenant.additionalHostnames` (Required) | `array of TenantHostname` | Nested fields omitted: field limit. |
| `tenant.exportHistory` (Required) | `array of ExportHistory` | Nested fields omitted: field limit. |
| `tenant.arReportHistory` (Required) | `array of ArReportHistory` | Nested fields omitted: field limit. |
| `tenant.mypageCardsSettings` (Required) | `array of MypageCardsSettings` | Nested fields omitted: field limit. |
| `tenant.webhooks` (Required) | `array of Webhook` | Nested fields omitted: field limit. |
| `tenant.customOrders` (Required) | `array of CustomOrder` | Nested fields omitted: field limit. |
| `tenant.customOrderSources` (Required) | `array of CustomOrderSource` | Nested fields omitted: field limit. |
| `tenant.brandKits` (Required) | `array of BrandKit` | Nested fields omitted: field limit. |
| `tenant.communicationReceivers` (Required) | `array of CommunicationReceiver` | Nested fields omitted: field limit. |
| `tenant.id` (Required) | `number` |   |
| `tenant.createdAt` (Required) | `string (date-time)` |   |
| `tenant.updatedAt` (Required) | `string (date-time)` |   |
| `tenant.deletedAt` (Required) | `string (date-time)` |   |
| `tenant.metaData` (Required) | `object` |   |
| `id` (Required) | `number` |   |
| `createdAt` (Required) | `string (date-time)` |   |
| `updatedAt` (Required) | `string (date-time)` |   |
| `deletedAt` (Required) | `string (date-time)` |   |
| `metaData` (Required) | `object` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

senderNameAlreadyExists

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-sender \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global"
}'
```

### Example response

201 · `application/json`

```json
{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global",
  "status": "pending",
  "requestSentAt": "2019-08-24T14:15:22Z",
  "tenantId": 0,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {},
    "emailSender": {},
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```

<a id="patch-api-v1-communication-sender-id"></a>
## Update a communication sender

`PATCH /api/v1/communication-sender/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `CommunicationSenderUpdateDto`

| Name | Type | Description |
| --- | --- | --- |
| `senderName` | `string` | The name of the sender |
| `senderEmail` | `string` | The email of the sender |
| `replyTo` | `string` | The reply to email of the sender |
| `communicationChannel` | `COMMUNICATION_CHANNEL` | The communication channel of the sender · Allowed values: `"sms"`, `"email"` |
| `providerRegion` | `SENDER_PROVIDER_REGION` | The provider region of the sender · Allowed values: `"global"`, `"eu"` |

**Example request body**

`application/json`

```json
{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global"
}
```

### Responses

#### 200

Content type: `application/json` · `CommunicationSender`

Same fields as [Create a communication sender (201)](https://www.subrite.no/developers/communication-sender?md=true#post-api-v1-communication-sender).

#### 400

Content type: `application/json` · `ErrorResponse`

senderNameAlreadyExists

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-sender/{id}' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global"
}'
```

### Example response

200 · `application/json`

```json
{
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "communicationChannel": "sms",
  "providerRegion": "global",
  "status": "pending",
  "requestSentAt": "2019-08-24T14:15:22Z",
  "tenantId": 0,
  "tenant": {
    "market": "NO",
    "productName": "enterprise",
    "additionalFeatures": [],
    "disabledFeatures": [],
    "name": "string",
    "isActive": true,
    "defaultLanguage": "en",
    "hostName": "string",
    "logo": "string",
    "favicon": "string",
    "authLogo": "string",
    "authLogoHeight": 0,
    "siteUrl": "string",
    "termsUrl": "string",
    "privacyUrl": "string",
    "gtm": "string",
    "taxRates": [],
    "smsOtp": true,
    "emailProvider": "brevo",
    "tenantContact": "string",
    "registeredBusinessNo": "string",
    "bankAccountNo": "string",
    "swiftCode": "string",
    "iban": "<iban>",
    "defaultLogoutURL": "string",
    "postalAddress": "<postalAddress>",
    "otpTemplateId": {},
    "smsSenderId": 0,
    "emailSenderId": 0,
    "smsSender": {},
    "emailSender": {},
    "products": [],
    "users": [],
    "members": [],
    "roles": [],
    "subscriptionPlans": [],
    "packages": [],
    "invoices": [],
    "orders": [],
    "paymentProviders": [],
    "newslettersProviderConfig": [],
    "paymentProviderConfigs": [],
    "oidcClients": [],
    "oauthProviders": [],
    "activityLogs": [],
    "m2m_api_clients": [],
    "customProperties": [],
    "consents": [],
    "preference": {
      "inputFieldConfig": [],
      "customFieldsOnMemberCard": [],
      "customFieldsOnInvoice": [],
      "visibleAdditionalFieldsOnMypage": [],
      "metaData": {}
    },
    "settings": {
      "aiResidency": {},
      "metaData": {}
    },
    "communicationTemplates": [],
    "additionalHostnames": [],
    "exportHistory": [],
    "arReportHistory": [],
    "mypageCardsSettings": [],
    "webhooks": [],
    "customOrders": [],
    "customOrderSources": [],
    "brandKits": [],
    "communicationReceivers": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  },
  "id": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "metaData": {}
}
```

<a id="patch-api-v1-communication-sender-id-approve"></a>
## Approve a communication sender

`PATCH /api/v1/communication-sender/{id}/approve`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `boolean`

#### 400

Content type: `application/json` · `ErrorResponse`

senderEmailNotVerifiedOnSendgrid

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-sender/{id}/approve' \
  --request PATCH \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
true
```

<a id="patch-api-v1-communication-sender-id-request-approval"></a>
## Request approval for a communication sender

`PATCH /api/v1/communication-sender/{id}/request-approval`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `boolean`

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-sender/{id}/request-approval' \
  --request PATCH \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
true
```

<a id="patch-api-v1-communication-sender-id-archive"></a>
## Archive / Unarchive a communication sender

`PATCH /api/v1/communication-sender/{id}/archive`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `CommunicationSenderArchiveDto`

**Example request body**

`application/json`

```json
{}
```

### Responses

#### 200

Content type: `application/json` · `CommunicationSenderResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `number` |   |
| `senderName` (Required) | `string` |   |
| `senderEmail` (Required) | `string` |   |
| `replyTo` (Required) | `string` |   |
| `status` (Required) | `COMMUNICATION_SENDER_STATUS` | The status of the sender · Allowed values: `"pending"`, `"approved"`, `"archived"` |
| `communicationChannel` (Required) | `COMMUNICATION_CHANNEL` | Allowed values: `"sms"`, `"email"` |
| `requestSentAt` (Required) | `string (date-time)` |   |
| `providerRegion` (Required) | `SENDER_PROVIDER_REGION` | Allowed values: `"global"`, `"eu"` |

#### 400

Content type: `application/json` · `ErrorResponse`

pendingSenderCannotBeArchived, pendingSenderCannotBeUnarchived

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-sender/{id}/archive' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### Example response

200 · `application/json`

```json
{
  "id": 0,
  "senderName": "<senderName>",
  "senderEmail": "string",
  "replyTo": "string",
  "status": "pending",
  "communicationChannel": "sms",
  "requestSentAt": "2019-08-24T14:15:22Z",
  "providerRegion": "global"
}
```

<a id="get-api-v1-communication-sender-get-communication-sender-communicationchannel"></a>
## Get all approved communication sender by channel

`GET /api/v1/communication-sender/get-communication-sender/{communicationChannel}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `communicationChannel` (Required) | path | `string` |   |

### Responses

#### 200

Content type: `application/json` · `array of CommunicationSender`

| Name | Type | Description |
| --- | --- | --- |
| `[].senderName` (Required when parent is present) | `string` |   |
| `[].senderEmail` (Required when parent is present) | `string` |   |
| `[].replyTo` (Required when parent is present) | `string` |   |
| `[].communicationChannel` (Required when parent is present) | `string` | Allowed values: `"sms"`, `"email"` |
| `[].providerRegion` (Required when parent is present) | `string` | Allowed values: `"global"`, `"eu"` · Can be null |
| `[].status` (Required when parent is present) | `string` | Allowed values: `"pending"`, `"approved"`, `"archived"` |
| `[].requestSentAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenantId` (Required when parent is present) | `number` |   |
| `[].tenant` (Required when parent is present) | `Tenant` |   |
| `[].tenant.market` (Required when parent is present) | `string` | Operating market of the tenant (immutable post-install). · Allowed values: `"NO"`, `"SE"`, `"DK"` |
| `[].tenant.productName` | `string` | The product name of the tenant · Allowed values: `"enterprise"`, `"communication"`, `"custom"` |
| `[].tenant.additionalFeatures` | `array of string` | The additional features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.disabledFeatures` | `array of string` | The disabled features of the tenant · Allowed values: `"email"`, `"sms"`, `"push"`, `"podcasts"`, `"subscription"`, `"insights"`, `"dashboard"`, `"automation"`, `"export"`, `"accounting"`, `"invoices"`, `"ai"` |
| `[].tenant.name` (Required when parent is present) | `string` |   |
| `[].tenant.isActive` (Required when parent is present) | `boolean` |   |
| `[].tenant.defaultLanguage` (Required when parent is present) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |
| `[].tenant.hostName` (Required when parent is present) | `string` |   |
| `[].tenant.logo` (Required when parent is present) | `string` |   |
| `[].tenant.favicon` (Required when parent is present) | `string` |   |
| `[].tenant.authLogo` (Required when parent is present) | `string` |   |
| `[].tenant.authLogoHeight` (Required when parent is present) | `number` |   |
| `[].tenant.siteUrl` (Required when parent is present) | `string` |   |
| `[].tenant.termsUrl` (Required when parent is present) | `string` |   |
| `[].tenant.privacyUrl` (Required when parent is present) | `string` |   |
| `[].tenant.gtm` (Required when parent is present) | `string` |   |
| `[].tenant.taxRates` | `array of number` |   |
| `[].tenant.smsOtp` (Required when parent is present) | `boolean` |   |
| `[].tenant.emailProvider` (Required when parent is present) | `string` | Allowed values: `"brevo"`, `"sendgrid"` |
| `[].tenant.tenantContact` (Required when parent is present) | `string` |   |
| `[].tenant.registeredBusinessNo` (Required when parent is present) | `string` |   |
| `[].tenant.bankAccountNo` (Required when parent is present) | `string` |   |
| `[].tenant.swiftCode` (Required when parent is present) | `string` |   |
| `[].tenant.iban` (Required when parent is present) | `string` |   |
| `[].tenant.defaultLogoutURL` (Required when parent is present) | `string` |   |
| `[].tenant.postalAddress` (Required when parent is present) | `string` |   |
| `[].tenant.otpTemplateId` | `Translation` | Nested fields omitted: field limit. |
| `[].tenant.smsSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.emailSenderId` (Required when parent is present) | `number` |   |
| `[].tenant.smsSender` (Required when parent is present) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `[].tenant.emailSender` (Required when parent is present) | `CommunicationSender` | Recursive schema; nested fields are not repeated. |
| `[].tenant.products` (Required when parent is present) | `array of Product` | Nested fields omitted: field limit. |
| `[].tenant.users` (Required when parent is present) | `array of User` | Nested fields omitted: field limit. |
| `[].tenant.members` (Required when parent is present) | `array of Member` | Nested fields omitted: field limit. |
| `[].tenant.roles` (Required when parent is present) | `array of Role` | Nested fields omitted: field limit. |
| `[].tenant.subscriptionPlans` (Required when parent is present) | `array of SubscriptionPlan` | Nested fields omitted: field limit. |
| `[].tenant.packages` (Required when parent is present) | `array of Package` | Nested fields omitted: field limit. |
| `[].tenant.invoices` (Required when parent is present) | `array of Invoice` | Nested fields omitted: field limit. |
| `[].tenant.orders` (Required when parent is present) | `array of Order` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviders` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.newslettersProviderConfig` (Required when parent is present) | `array of NewsletterProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.paymentProviderConfigs` (Required when parent is present) | `array of PaymentProviderConfig` | Nested fields omitted: field limit. |
| `[].tenant.oidcClients` (Required when parent is present) | `array of OidcClient` | Nested fields omitted: field limit. |
| `[].tenant.oauthProviders` (Required when parent is present) | `array of OauthProvider` | Nested fields omitted: field limit. |
| `[].tenant.activityLogs` (Required when parent is present) | `array of ActivityLog` | Nested fields omitted: field limit. |
| `[].tenant.m2m_api_clients` (Required when parent is present) | `array of M2MApiClient` | Nested fields omitted: field limit. |
| `[].tenant.customProperties` (Required when parent is present) | `array of CustomProperty` | Nested fields omitted: field limit. |
| `[].tenant.consents` (Required when parent is present) | `array of Consent` | Nested fields omitted: field limit. |
| `[].tenant.preference` (Required when parent is present) | `Preference` | Nested fields omitted: field limit. |
| `[].tenant.settings` (Required when parent is present) | `TenantSettings` | Nested fields omitted: field limit. |
| `[].tenant.communicationTemplates` (Required when parent is present) | `array of CommunicationTemplate` | Nested fields omitted: field limit. |
| `[].tenant.additionalHostnames` (Required when parent is present) | `array of TenantHostname` | Nested fields omitted: field limit. |
| `[].tenant.exportHistory` (Required when parent is present) | `array of ExportHistory` | Nested fields omitted: field limit. |
| `[].tenant.arReportHistory` (Required when parent is present) | `array of ArReportHistory` | Nested fields omitted: field limit. |
| `[].tenant.mypageCardsSettings` (Required when parent is present) | `array of MypageCardsSettings` | Nested fields omitted: field limit. |
| `[].tenant.webhooks` (Required when parent is present) | `array of Webhook` | Nested fields omitted: field limit. |
| `[].tenant.customOrders` (Required when parent is present) | `array of CustomOrder` | Nested fields omitted: field limit. |
| `[].tenant.customOrderSources` (Required when parent is present) | `array of CustomOrderSource` | Nested fields omitted: field limit. |
| `[].tenant.brandKits` (Required when parent is present) | `array of BrandKit` | Nested fields omitted: field limit. |
| `[].tenant.communicationReceivers` (Required when parent is present) | `array of CommunicationReceiver` | Nested fields omitted: field limit. |
| `[].tenant.id` (Required when parent is present) | `number` |   |
| `[].tenant.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].tenant.metaData` (Required when parent is present) | `object` |   |
| `[].id` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].metaData` (Required when parent is present) | `object` |   |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication senders (403)](https://www.subrite.no/developers/communication-sender?md=true#get-api-v1-communication-sender).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-sender/get-communication-sender/{communicationChannel}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "senderName": "<senderName>",
    "senderEmail": "string",
    "replyTo": "string",
    "communicationChannel": "sms",
    "providerRegion": "global",
    "status": "pending",
    "requestSentAt": "2019-08-24T14:15:22Z",
    "tenantId": 0,
    "tenant": {
      "additionalFeatures": [],
      "disabledFeatures": [],
      "taxRates": [],
      "products": [],
      "users": [],
      "members": [],
      "roles": [],
      "subscriptionPlans": [],
      "packages": [],
      "invoices": [],
      "orders": [],
      "paymentProviders": [],
      "newslettersProviderConfig": [],
      "paymentProviderConfigs": [],
      "oidcClients": [],
      "oauthProviders": [],
      "activityLogs": [],
      "m2m_api_clients": [],
      "customProperties": [],
      "consents": [],
      "communicationTemplates": [],
      "additionalHostnames": [],
      "exportHistory": [],
      "arReportHistory": [],
      "mypageCardsSettings": [],
      "webhooks": [],
      "customOrders": [],
      "customOrderSources": [],
      "brandKits": [],
      "communicationReceivers": [],
      "metaData": {}
    },
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  }
]
```
